- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Graph::Edge Class Reference

## Detailed Description

This class identifies an edge of the graph. It also serves as a base class of the edge iterators, thus they will convert to this type.

`#include <lemon/concepts/graph.h>`

Inheritance diagram for Graph::Edge:
[legend]

## Public Member Functions
| Edge ()
| Default constructor. More...
| Edge (const Edge &)
| Copy constructor. More...
| Edge (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Edge) const
| Equality operator. More...
bool | operator!= (Edge) const
| Inequality operator. More...
bool | operator< (Edge) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

Edge | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the object to an undefined value.

Edge | ( | const Edge & |  | ) |
| inline

Copy constructor.

Edge | ( | Invalid |  | ) |
| inline

Initializes the object to be invalid.

See Also
  Invalid for more details.

## Member Function Documentation

bool operator== | ( | Edge |  | ) | const
| inline

Equality operator.

Two iterators are equal if and only if they point to the same object or both are `INVALID`.

bool operator!= | ( | Edge |  | ) | const
| inline

Inequality operator.

bool operator< | ( | Edge |  | ) | const
| inline

Artificial ordering operator.

Note
  This operator only has to define some strict ordering of the edges; this order has nothing to do with the iteration ordering of the edges.